Subject: Re: lots of problems in cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "ronghua zhang" <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 Jul 2001 16:19:19 +0200

Hi Ronghua,

> thank you for your advice.
> I found that if i fist start windows cmd shell and from it run cygwin.bat,
> everything is ok.
> but if I double click the icon of cygwin.bat on desktop, what I mentioned
> before still happen even if I set the environment variable.

Try to use rxvt, you will have a scroll buffer and more fun at Win9x:
Use this (or similar options for the shortcut, all in one line to start
from command.exe works too):

C:\cygwin\bin\rxvt.exe -geometry 120x40 -bg black -fg grey -cr red -sr
   -sl 1000 -fn "Lucida Console-14" -tn cygwin -ls -e bash --login -i

> another problem is after install, why my user name is 'unknown', how can i
> change it.

Try:
$ mkpasswd -l > /etc/passwd
$ mkgroup -l > /etc/group

And look in the docs how to modify these files, if you have problems:
http://www.cygwin.com/cygwin-ug-net/using-utils.html#MKGROUP
and:
http://www.cygwin.com/cygwin-ug-net/cygwin-ug-net.html

> the following is the contents of cygcheck.out
[...]
> C:\cygwin\bin  /usr/bin  user    textmode
> C:\cygwin\lib  /usr/lib  user    textmode
> C:\cygwin  /        user    textmode
> c:    /cygdrive/c  user    textmode,noumount
> d:    /cygdrive/d  user    textmode,noumount
> e:    /cygdrive/e  user    textmode,noumount

If you choose 'unix mode' during setup, default type of mounts
is binmode, not textmode, which is more real unix:-)

gph

-- 
Gerrit P. Haase

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/